petsc-3.4.2 2013-07-02

# PCShellSetSetUp

Sets routine to use to "setup" the preconditioner whenever the matrix operator is changed.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetSetUp(PC pc,PetscErrorCode (*setup)(PC))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| setup | - the application-provided setup routine

### Calling sequence of setup

       PetscErrorCode setup (PC pc)

| pc | - the preconditioner, get the application context with PCShellGetContext()

Notes: the function MUST return an error code of 0 on success and nonzero on failure.

### Keywords

PC, shell, set, setup, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetApply(), PCShellSetContext()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html